diff --git a/fluid/Fl_Menu_Type.cxx b/fluid/Fl_Menu_Type.cxx
index 5e51a6e..083e0c0 100644
--- a/fluid/Fl_Menu_Type.cxx
+++ b/fluid/Fl_Menu_Type.cxx
@@ -294,7 +294,13 @@ void Fl_Menu_Item_Type::write_item() {
   write_comment_inline_c(" ");
   write_c(" {");
   if (image) write_c("0");
-  else if (label()) write_cstring(label()); // we will call i18n when the widget is instantiated for the first time
+  else if (label()) {
+      // we will call i18n when the widget is instantiated for the first time,
+      // but we set the function here so xgettext knows it is a special string.
+      write_c("%s(", i18n_function);
+      write_cstring(label());
+      write_c(")");
+  }
   else write_c("\"\"");
   if (((Fl_Button*)o)->shortcut()) {
 		int s = ((Fl_Button*)o)->shortcut();
